Initial Training

Initial Training - overview

Initial Training is recommended to minimize the initial error rate of speech recognition. It enables the recognition process to become familiar with your speech characteristics. For this purpose, you should dictate several texts.

When you start Initial Training for the first time, the Audio Wizard is automatically started. Make sure that you complete the Audio Wizard and that your audio settings are adjusted correctly. This helps you to improve your recognition results.

You can skip the Initial Training phase and run the recognizer using pre-installed speaker-independent references.

Note: If you do not record dictations in your native language, an Initial Training of at least one hour is strongly recommended. To obtain a good recognition rate you will have to dictate for a minimum of 15 minutes.

See also

How to start Initial Training

Initial Training window

How to train

How to finish Initial Training

How to record

Punctuation

Selecting a topic

Importing sound files


How to start Initial Training

Starting Initial Training

Start Initial Training from your speech recognition application. How to do this depends on the application; for more information, see the documentation delivered with the product.

Once Initial Training displays the log on screen, do the following:

  1. Select your user name from the list.

  2. Select the language you want to train.

  3. Select the input channel that corresponds to your audio device.

    Important: If you select an input channel that has not been calibrated, you must run the Audio Wizard.

    Note: If you select telephone or mobile input, you can only import sound files; you will not be able to make any recordings. To use DSS sound files, select the Mobile input channel.

  4. Enter your password if there is a password assigned to you.

  5. Click Next. The Initial Training window displays the first training text. If you are starting Initial Training for the first time, the Audio Wizard opens.

Note: If you are unable to log on, contact your system administrator.


Initial Training window

The main section of the Initial Training window displays the training texts. Above this you can find information about the training texts: the topic of the texts, the number of texts you have already recorded (from this topic) and the total time you have spent recording Initial Training texts. Below this you find the Initial Training toolbar.

Initial Training toolbar

The Initial Training button functions are explained from left to right:

Record

Starts recording the currently displayed training text.

Playback

Plays back the currently displayed training text.

Stop

Stops recording, playback or winding.

Fast Rewind

Moves back through a recording.

Fast Forward

Moves forward through a recording.

Clear

Deletes the recording (sound file) for the currently displayed training text.

Import Sound Files

Imports .wav files or .dss files recorded outside Initial Training (e.g. with the Philips DPM). You can also load previously recorded training texts. If you want to edit or re-record, you must open the corresponding training text and sound file.

Previous Text

Goes to the previous training text.

Next Text

Goes to the next training text.

Topic List

Displays the Select Topic dialog box. Training texts are available in a variety of topics. You can select the topics you want to use for training.

Audio Wizard

Opens the Audio Wizard for readjusting your audio settings.

See also

Initial Training - overview


How to train

To train the system read aloud the texts which are displayed in the Initial Training window.

Note: If you have selected telephone or mobile input as the input channel when logging on to Initial Training, you can only import sound files; you will not be able to make any recordings.

To start training, do the following:

  1. Click Record on the toolbar and start recording.

  2. Read the texts in the window in your normal speaking voice. Everything should be read, including punctuation.

  3. To stop recording, click Stop on the toolbar.

Correctly recognized words are displayed in Green. Incorrectly recognized words are displayed in Red. When an entire dictation has been correctly recognized (i.e. everything appears in Green), you advance automatically to the next text.

To check what you have dictated for accuracy, click Playback to listen to the recording. If the words in red sound accurate to you, correction is not necessary. Not all words have to appear in green to continue. Click Next Text to proceed to the next training text if you do not want to make a correction.

To correct misrecognized words, do the following:

  1. Place your cursor (using your mouse) before or inside the first word displayed in red.

  2. Start recording. This overwrites the recording from the cursor point forward; the rest of the text must be dictated again.

Note: If lots of words appear in red, click Clear and dictate the text again from the beginning. You do not have to record the whole text again if only some words appear in red.

Selecting a different topic for training

After completing the Welcome texts you may either continue training the texts which are automatically displayed or select a different topic using the Topic List button:

The Select Topic dialog box is displayed.


How to finish Initial Training

When you have dictated the minimum amount of text required, a dialog box will prompt you to finish training or continue recording. In the latter case you can record more texts for a better recognition rate. Click Finish to stop training at any time.

Note: You should always dictate the entire text before clicking the Finish button; otherwise the sound file for the current training text will be lost.

Finish

Sends your audio data for processing. In this way, SpeechMagic learns how you record and uses this information to improve your initial recognition rate.

It may take a while for the training texts to be processed completely. The amount of time depends on the amount of spoken text waiting to be processed and on the speed of your PC. You may cancel processing if necessary. The sound data of the recorded training texts will not be lost.


How to record

Recording texts is easy to do. Record as you would into any recording device. During Initial Training, you must dictate punctuation and numbers in full as they are written out, otherwise the recognizer will not understand you correctly. For more information, see: Punctuation.

The ConText you use for speech recognition later determines how you should dictate punctuation, dates and numbers. For more information, contact your ConText vendor.

New to recording and speech recognition?

If you are new to dictation and speech recognition, remember that word pronunciation has a strong impact on the accuracy of speech recognition. When speaking into the microphone, try to keep the microphone at the same distance from your mouth at all times (a distance of about 5 cm/2 inches is recommended). Try to keep the volume of your voice constant and speak regularly. Articulate individual syllables where necessary.


Punctuation

The following table explains how to dictate punctuation marks during Initial Training.

Punctuation mark | How to say it
. | "period" (US); "stop" or "full stop" (UK)
, | "comma"
! | "exclamation mark"
? | "question mark"
: | "colon"
; | "semicolon"
( | "parenthesis" (US); "open bracket" (UK)
) | "end parenthesis" (US); "close bracket" (UK)
[ | "bracket" (US); "left square bracket" (UK)
] | "end bracket" (US); "right square bracket" (UK)
' | "apostrophe"
" | "quote" (US); "double quotes" (UK)
" | "end quote" (US); "end double quotes" (UK)
/ | "slash" (US); "stroke" (UK)
...-... | "hyphen"
... - ... | "dash"
... | "ellipsis marks"


Selecting a topic

Training texts are available in a variety of topics. If you do not want to use the topics in the order they are presented to you, you can, at any time, select the ones you want to use.

In the Select Topic dialog box, the available topics are on the left and the training texts are on the right.

Training texts with this icon have sound files associated with them.

Training texts with this icon do not have sound files associated with them.

The Details section has the following information:

  • Topic items: The number of training texts in the selected topic.

  • Overall items: The total number of training texts available.

  • Topic sound length: The length of sound that you have already recorded for the selected topic.

  • Overall sound length: The total length of sound that you have already recorded for all topics.

How to select a topic

  1. Click a topic to go to the first related training text in the list.

  2. Click the specific training text you want.

  3. Click the Select button.

The dialog box is closed and the Initial Training window displays the selected training text.

How to import a sound file

  1. Click a topic to go to the first related training text in the list.

  2. Click the specific training text you want.

  3. Click the Import button; the Import Sound Files dialog box is displayed.

  4. Select a sound file in the Sound files found list and double-click the corresponding training text in the Unrecorded training texts list. In the Select Training Text for dialog box click Import.

For more information, see: Importing sound files.

  5. Click Close to return to the Initial Training window.

Note: If you import a sound file for a partly recorded training text it will overwrite the partly recorded sound file. A message is displayed and you must confirm your action.

How to delete a sound file

You can replace the sound file for a training text. Select the training text and click the Delete button; you must confirm your action. The corresponding icon changes.


Importing sound files

You can use the Import Sound Files dialog box to import sound files that correspond to training texts you have not yet recorded during Initial Training. You can import sound files recorded with a DPM (*.dss) or other sound files (*.wav). If you want to import .dss sound files, you must have selected the mobile input channel when you started Initial Training.

If you try to import an invalid sound file format (for example, ADPCM) or if sound file format does not match the selected input channel an error message is displayed. For more information on supported sound file formats, see the SpeechMagic SDK - SDK Help.

The imported sound files will be used for calculating the acoustic references when you finish Initial Training.

Importing involves the following steps:

  1. Locating the folder where the sound files are stored.

  2. Deciding which sound files belong to the training texts you have not yet recorded.

Importing selected sound files

Sound files should be imported individually if the listed pairs of sound files and training texts do not correspond. Proceed as follows:

  1. In the Import path field, browse for the location of the sound files.

  2. Make sure that the correct File type is selected.

  3. Select a file from the Sound files found list.

  4. Click Select Text; the Select Training Text for dialog box is displayed listing the unrecorded training texts.

  5. Select the training text, corresponding to the sound file, from the list and click Import.

The sound file is imported and the training text is removed from the Unrecorded training texts list.

  6. Repeat these steps to match any other corresponding training texts and sound files.

Alternatively:

  • Select a sound file in the Sound files found list and double-click the corresponding training text in the Unrecorded training texts list. In the Select Training Text for dialog box click Import.

  • Select a training text in the Unrecorded training texts list and double-click the corresponding sound file in the Sound files found list. In the Select Training Text for dialog box click Import.

Importing all sound files

Files in the Sound files found list and the Unrecorded training texts list are listed alphabetically (i.e. according to the file number). If these two lists correspond you can import all the sound files in one action. The easiest way to ensure correct matching between sound files and training texts is to record the sound files in the correct sequence and import them all at once. Proceed as follows:

  1. In the Import path field, browse for the location of the sound files.

  2. Make sure that the correct File type is selected.

  3. Click Import All.

The sound files are imported and the training texts are removed from the Unrecorded training texts list.

Note: If you record dictations with a Digital Pocket Memo you should do this in the same sequence as the training texts because the DPM uses automatic numbering in file names. In this way .dss files and training texts are matched correctly. If you do not record with a Digital Pocket Memo, you should use suitable names for the sound files, for example, text001, text002, etc.

Backing up the original sound files

Importing the sound files removes them from their original location (unless they are read-only files). To keep a copy, do the following:

  1. Select the Backup path option and browse for a suitable folder.

During the import process the selected sound files will be copied to this location.


Audio Wizard - overview

The Audio Wizard is for adjusting your audio settings. This is important in order to get the best possible sound quality when working with speech recognition.

When you start Initial Training the Audio Wizard starts automatically if your sound settings need to be calibrated for the selected input channel and audio device. To run the Audio Wizard manually from Initial Training, click [image] on the toolbar. You can also run the Audio Wizard manually from the Recorder, go to the Tools menu and select Audio Wizard.

Follow the instructions in the wizard. Complete all the audio tests. Remember to speak in the same way you will be speaking when you record sound files.

The distance between your mouth and the microphone can have an impact on the sound. While making test recordings, remember to try different microphone distances. A distance of about 3 cm/1.5 inches is recommended.

The Audio Wizard sets the recording levels and playback volume of dictations, and enables you to make test recordings.

Troubleshooting information about your audio system can be found in the Troubleshooting book.


Playback volume

This is the volume which is heard through your speakers. To do this, click Start Test and listen to the sound coming from your speakers. The slider enables you to increase/decrease the volume. If you cannot hear anything you should ensure your speakers are properly connected and that you have a Windows compatible sound card installed.

When you are satisfied with the sound level coming from your speakers, click Stop Test and proceed to the next page of the Audio Wizard.


Recording levels

In this step, the Audio Wizard sets the recording volume (microphone input level) and the silence detection level. Click Start Recording and read the text which is located above the button. Continue to read the text until you hear a beep and the Audio Wizard moves on to the next page. If there are problems with your recording levels, the program will display a message telling you what is wrong. See: Audio troubleshooting.

Alternatively, activate the Adjust audio settings automatically check box, click Next and then Finish. The recording volume and silence detection level will be adjusted automatically during recording.

Important: The automatic gain control (AGC) of the recording device, or its device driver/sound card driver, might interfere with SpeechMagic's automatic audio adjustment feature. This does not affect the following Nuance-tested and supported devices:

  • Philips SpeechMike USB range

  • Philips SpeechMike Premium range

  • Nuance PowerMic II range

  • Grundig Digta SonicMic II/Digta CordEx USB range

  • Grundig Digta 7

  • Olympus DR microphones

  • Olympus RS footswitches

  • Mobile devices: Philips DPM 2/DPM 3 USB range

For unsupported devices, see the documentation delivered with the device for more information on if it is necessary to deactivate the AGC.

Background noise

The silence detection level is calculated according to the background noise. If your working environment changes (for example, if you work in a noisy room) or if you make changes to the configuration, you should rerun the Audio Wizard. This will re-adjust the recording volume and silence detection level.

Silence detection level

This level enables the microphone to detect when you are speaking so that it can automatically start recording. When you stop speaking, recording will also stop. The silence detection level is set by the Audio Wizard together with the recording volume (microphone input level).

The silence detection level is sometimes also referred to as the VA level (voice-activated recording level).


Default devices

In this step you select the default devices for recording and playing back sound files.

The devices that you select here overrule the Microsoft Windows default devices in the operating system Sounds and Audio Devices Properties dialog box.


Test recording

Once the Audio Wizard is satisfied with your recording volume, you can make a test recording to hear the results for yourself:

Click this button to start recording. Practice saying a few typical sentences. Click the button again to stop recording.

Click this button to play your recording back. If you are satisfied with the sound quality, click Finish to close the Audio Wizard.

About your audio system

If your system is good enough

The program should run properly using your currently installed sound card and audio components. Feel free to make a test recording to hear how your dictations will sound. As these recordings are not saved, this is a good opportunity to practice speaking into the microphone if you are not familiar with dictation.

If your system is not good enough

The program might not run properly using the currently installed sound card and audio components. If you are not satisfied with your test recordings, rerun the Audio Wizard. This might improve the sound quality. If you have rerun the wizard and still have trouble, consult your system administrator.


Audio Wizard troubleshooting

Audio Wizard troubleshooting - overview

The topics in this section provide troubleshooting information on your audio system and details on messages which may be displayed in the Audio Wizard.

See also

Sound quality

Sound quality poor - not usable for speech recognition

Sound quality poor - usable for speech recognition

No input signal detected

Distortion level too high - not usable for speech recognition

Distortion level too high - usable for speech recognition

Audio data not usable for speech recognition


Sound quality

If you have problems with your sound quality, you might need to run your Audio Wizard again. If you install a new sound card, audio device and/or microphone, you should always run the Audio Wizard again to ensure that this new equipment provides sound quality good enough for speech recognition.

Audio Wizard does not work/problem cannot be solved

Send the following information to our support team:

  • The name and model of your microphone.

  • The name and model of your sound card.

  • The name and model of your computer.

  • The operating system you are working with, the version and/or Service Pack if you have any installed.

  • How much free disk space on your hard disk you are working with.

  • How many MB RAM you are working with.

  • Whether the audio system can be used for playback.

  • Whether the audio system can be used for recording.

  • If available, the text of the error message.

  • The wizresult.log and wizresult.wav files stored in the user's temp folder.


Sound quality poor - not usable for speech recognition

Your sound recording is not good enough for speech recognition.

  • Repeat the recording. Speak more loudly and clearly. Point the microphone toward your mouth, so that you are talking into the side of the microphone. If you are using a headset microphone, adjust the arm so that it is rotated to face your mouth.

  • Begin speaking immediately after you have pressed the Record button.

  • If you are using a recording device that is not tested and supported for use with SpeechMagic, you might need to disable the automatic gain control (AGC). See the documentation delivered with the device for more information on if it is necessary to deactivate the AGC.

  • Some notebook sound cards will have more internal noise if the power lead is connected to the power mains to ground the connection. Microphones built into notebook computers and microphones that come with sound cards are generally poor, have an uneven response, and are over-sensitive to background noise.

  • If you are using a notebook with an external microphone, make sure the internal microphone is disabled.

  • Try to reduce the background noise and dictate the text again.

  • Try another microphone.

Some sound cards have a dedicated icon in the Windows Control Panel. There may be a Mic Boost option and a Volume slider, so experiment with this level. Be aware of the difference between playback volume (also called volume) and recording volume.


Sound quality poor - usable for speech recognition

Your recording is poor, but can be used for speech recognition.

  • Repeat the recording. Speak more loudly and clearly.

  • Bring the microphone closer to your mouth.

  • Begin speaking immediately after you have pressed the Record button.

  • If you are using a recording device that is not tested and supported for use with SpeechMagic, you might need to disable the automatic gain control (AGC). See the documentation delivered with the device for more information on if it is necessary to deactivate the AGC.

  • Try to reduce the background noise and dictate the text again.

  • Try another microphone.

For more detailed background information, see Sound quality poor - not usable for speech recognition.


No input signal detected

No input signal was detected.

  • Make sure that your microphone is plugged into the MIC IN jack, which is usually located at the back of your computer. If the jack panel of the sound card is not well marked, refer to your sound card's instruction manual to determine the correct input jack. If the microphone has an ON/OFF switch, make sure that it is set to the ON position. The microphone cable should be connected to the MIC IN jack and not in the LINE OUT/SPK OUT jack.

  • If your microphone is properly connected and switched on, check if the microphone is selected and enabled in Windows. Ensure it is not muted. You can normally access your audio configuration settings via the Windows Control Panel. Alternatively, right-click the volume icon on your Windows Taskbar and select the appropriate item; this depends on your Windows version and/or microphone and sound card drivers.

  • If your microphone has a converter, increase the input signal by removing the converter.


Distortion level too high - not usable for speech recognition

The distortion level is too high. You cannot run speech recognition.

  • Repeat the recording. Speak clearly and continuously. Point the microphone towards your mouth, so that you are talking into the side of the microphone. If you are using a headset microphone, adjust the arm so that it is rotated to face your mouth.

  • Some notebook sound cards will have more internal noise if the power lead is connected to the power mains to ground the connection. Try to re-run the Audio Wizard with disconnected power mains.

  • Microphones built into notebook computers and microphones that come with sound cards are generally poor, have an uneven response, and are over-sensitive to background noise.

  • If you are using a notebook with an external microphone, make sure the internal microphone is disabled.

  • Do not sit too close to the monitor. Many monitors produce electrical noise throughout the speech band (fluorescent lights can also have the same effect). A poorly shielded microphone will corrupt your voice profile. If you have an earphone or speakers, you may even be able to hear a buzzing.

  • Adjust the recording volume. Distortion could be the result of a high recording volume.

Some sound cards have a dedicated icon in the Windows Control Panel. There might be a mic boost option and a volume slider; experiment with this level. Be aware of the difference between playback volume (also called volume) and recording volume.


Distortion level too high - usable for speech recognition

The distortion level is high, but your sound recording can be used for speech recognition.

  • Repeat the recording. Try to speak more softly and hold the microphone further away from your mouth.

  • If you are using a recording device that is not tested and supported for use with SpeechMagic, you might need to disable the automatic gain control (AGC). See the documentation delivered with the device for more information on if it is necessary to deactivate the AGC.

For detailed background information, see Distortion level too high - not usable for speech recognition.


Audio data not usable for speech recognition

The sound quality is inadequate.

  • Repeat the recording. Speak clearly and continuously.

  • Bring the microphone closer to your mouth.

  • Begin speaking immediately after you have pressed the Record button.

  • If you are using a recording device that is not tested and supported for use with SpeechMagic, you might need to disable the automatic gain control (AGC). See the documentation delivered with the device for more information on if it is necessary to deactivate the AGC.

For more detailed background information, see Sound quality poor - not usable for speech recognition.